### Method

# Json Serializable list_properties

since: 0.14

#### Declaration [src]

    GParamSpec**
    json_serializable_list_properties (
      JsonSerializable* serializable,
      guint* n_pspecs
    )

#### Description [src]

Calls the `Json.SerializableIface.list_properties` implementation on the `JsonSerializable` instance, which will return the list of serializable properties.

Available since: 0.14

#### Parameters

`n_pspecs`

  Type: `guint*`

  Return location for the length of the returned array.

  The argument will be set by the function.

#### Return value

Type: An array of `GParamSpec*`

The serializable properties of the object.

The length of the array is in the `n_pspecs` argument.
The caller of the method takes ownership of the returned data container, but not the data inside it.